/*
	接口统一管理
*/
const apiurl = {
	// 用户注册登陆
	login: {
		url: '/agentInfo/login',
		type: 'post'
	},
	// 重新登录
	reLogin: {
		url: '/auth/login',
		type: 'post'
	},
	// 修改密码
	updatePassword: {
		url: '/agentInfo/updatePassword',
		type: 'put'
	},
	// 修改用户信息
	updateMemberInfo: {
		url: '/memberInfo/update',
		type: 'put'
	},
	//代理人端首页信息
	indexData: {
		url: '/agentInfo/index',
		type: 'get'
	},
	//用户信息统计
	memberSta: {
		url: '/agentInfo/memberSta',
		type: 'get'
	},
	//代理人业绩
	achievement: {
		url: '/agentInfo/achievement',
		type: 'get'
	},
	//店铺列表
	shopList: {
		url: '/agentInfo/shopList',
		type: 'post'
	},
	//ID获取店铺详情
	shopById: {
		url: '/agentInfo/shopById',
		type: 'get'
	},
	//轮播图
	swiperList: {
		url: '/advList/pageList',
		type: 'get'
	},
	//轮播图详情
	swiperDetails: {
		url: '/advList/selectById',
		type: 'get'
	},
	// 旭烁简介
	xsGetIntro: {
		url: '/shop/getIntro',
		type: 'get'
	},
	// 热销商品列表
	topGoodList: {
		url: '/goods/selectTopGoodList',
		type: 'get'
	},
	// 商品分类信息
	goodsTypeTree: {
		url: '/goodsType/tree',
		type: 'get'
	},
	// 商品分类信息列表
	goodsTypeList: {
		url: '/goodsType/list',
		type: 'get'
	},
	// 商品列表
	memberGoodList: {
		url: '/goods/memberGoodList',
		type: 'get'
	},
	// 商品详情
	memberGoodDetails: {
		url: '/goods/memberGetById',
		type: 'get'
	},
}


/*
* 特殊处理接口
*/ 
const otherApiUrl = {
	// 文件上传
	uploadFile: '/file/upload/single/minio',
}

export {
	apiurl,
	otherApiUrl
}